NoSuchElementException (Java Platform SE 8 )
Keywords: java.util.NoSuchElementException class
Date: 2026-04-17

compact1, compact2, compact3
java.util

## Class NoSuchElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.NoSuchElementException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    InputMismatchException

      public class NoSuchElementException
      extends RuntimeException

  Thrown by various accessor methods to indicate that the element being requested does not exist.
  Since:
    JDK1.0
  See Also:
    `Enumeration.nextElement()`, `Iterator.next()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchElementException()` Constructs a `NoSuchElementException` with `null` as its error message string.
    `NoSuchElementException(String s)` Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchElementException

          public NoSuchElementException()

      Constructs a `NoSuchElementException` with `null` as its error message string.

    - #### NoSuchElementException

          public NoSuchElementException(String s)

      Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.